using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Net;
using System.Text.RegularExpressions;
using System.Web;

namespace RusToEng
{
	class Program
	{
		static void Main(string[] args)
		{
			//RusToEnd("Rus.txt", "Res.mq4", false);
			//return;

            try
            {
                List<String> filesList = new List<string>();
                DirectoryFile.GetFiles("NK_library", ref filesList, true);

                for (int i = 0; i < filesList.Count; ++i)
                {
                    string s = filesList[i];
                    string fileDest = s.Replace("NK_library", "NK_libraryEng");

					Console.WriteLine(i + ": " + fileDest + " is translating.");

                    TranslateByWeb.TranslateFile(TranslateByWeb.TranslateEngine.BabelFish, TranslateByWeb.TranslateLanguage.RussianToEnglish, 
                        s, fileDest, s.EndsWith("txt"));

                    Console.WriteLine(Environment.NewLine + i + ": " + fileDest + " is translated!");
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
            Console.WriteLine("All is translated");
            Console.ReadKey();
		}
	}
}
